Subject: Re: xterm problem with Delete key
From: Keith Thompson <[email-masked]>
To: [email-masked]
Cc: Keith Thompson <[email-masked]>
Date: Sun, 9 Sep 2012 22:54:28 -0700
List-Id: <cygwin.cygwin.com>

On Sun, Sep 9, 2012 at 7:38 PM, Keith Thompson <[email-masked]> wrote:
> I'm using Cygwin on Windows 7 Ultimate on a Dell laptop. I use
> Cygwin's xterm version 281-1. "xrdb -q" shows, among other things,
> "XTerm*deleteIsDEL: True".
>
> The problem: The "Delete" key on my keyboard sends the sequence
>
>     Escape [ 3 ~
>
> rather than the DEL character.  (When I run a bash shell in xterm,
> and type Control-V DEL, it prints "^[[3~".)
>
> In the Main Options menu (control left mouse click), the "Delete is
> DEL" option is checked.  Toggling it has no effect.
>
> It originally worked correctly, but started misbehaving like this a
> while ago (a few weeks maybe?).  It's likely that I upgraded my xterm
> using setup.exe around the time it started misbehaving, but I didn't
> keep close enough track.
>
> I don't have this problem with rxvt.
>
> On the other hand, when I run the xterm command on my Ubuntu 12.04
> system on the same display, using X forwarding over ssh, it behaves
> correctly; Control-V DEL prints "^?".  The Ubuntu system has xterm
> version 271-1ubuntu2.

I just used setup.exe to downgrade my xterm from 281-1 to 279-1,
and it corrected the problem.  So it looks like a regression.

-- 
Keith Thompson <[email-masked]>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple